/*=======================================================*/
/*  TVQCOLOR.C                                           */
/*                                                       */
/*  (c) Copyright 1988 Ralf Brown  All Rights Reserved   */
/*  May be freely copied for noncommercial use, so long  */
/*  as this copyright notice remains intact, and any     */
/*  changes are marked in the comment blocks preceding   */
/*  functions.                                           */
/*=======================================================*/

#include "tvapi.h"
#include "tvstream.h"

/*=======================================================*/
/* TVqry_color   get physical attribute for logical attr */
/*   Ralf Brown 4/15/88                                  */
/*=======================================================*/

int pascal TVqry_color(OBJECT win,int attr)
{
   static BYTE query_stream[] = { S_QUERY(4), 0xEC, 0x90, 0, 0 } ;

   query_stream[6] = ((attr-1)<<4)|1 ;
   TVwin_stream(win,query_stream) ;
   return query_stream[7] ;
}

/* End of TVQCOLOR.C */
